#ifndef FINDCMD_H
#define FINDCMD_H

#include <QObject>
#include "serverthread.h"
#include <QPair>
#include <QQueue>
#include <QDir>
#include <QRegExp>

class FINDcmd : public QObject
{
	Q_OBJECT
public:
	FINDcmd(const QString &request, ServerThread *parent);

	ServerThread *parent() const;

public slots:
	void process();
	void finish();

signals:
	void activity();
	void finished();

private:
	QQueue< QPair<QDir, QString> > workQueue;
	QRegExp test;
	int k;
	bool dead;
};

#endif // FINDCMD_H
